import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { MultiSelector } from '../models/selector/multi-selector-model';
export declare class MultiSelectorComponent implements OnInit {
    private elementRef;
    expandedKeys: any[];
    selectorOpened: boolean;
    selectedName: string;
    selectedId: number;
    labelText: string;
    hoverText: string;
    isIncludeFloatLocation: boolean;
    includeInactive: boolean;
    enableAllNodes: boolean;
    dataHierarchy: MultiSelector;
    checkedKeys: any[];
    selectorDisabled: boolean;
    displayName: string;
    searchKey: string;
    onData: EventEmitter<MultiSelector>;
    onChange: EventEmitter<Array<any>>;
    selectedItems: Array<any>;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    onGlobalClick(event: Event): void;
    closeDropDown(): void;
    onItemSelected(data: any): void;
    setDefaultValue(checkedKeys: number[], items: Array<any>): void;
    private addExpandListItem;
    handleChange(data: any): void;
    locationClick(): void;
    onRemove(item: any): void;
}
