import { EventEmitter, OnInit } from '@angular/core';
import { MultiSelector } from './models/selector/multi-selector-model';
export declare class AngularCustomSelectorComponent implements OnInit {
    type: string;
    labelText: string;
    selectedId: number;
    selectedName: string;
    enableAllNodes: boolean;
    disabled: boolean;
    data: Array<any>;
    hoverText: string;
    displayName: string;
    searchKey: string;
    onChange: EventEmitter<any>;
    onFetchedData: EventEmitter<any>;
    dataHierarchy: MultiSelector;
    constructor();
    ngOnInit(): void;
    onFetched(data: MultiSelector): void;
    updateLocationState(dataItem: any): void;
}
