import { ChangeDetectorRef, EventEmitter, OnInit, SimpleChanges } from '@angular/core';
export declare class MultiSelectorTreeViewComponent implements OnInit {
    private cdRef;
    expandedKeys: any[];
    selectedId: number;
    isDisableParent: boolean;
    data: Array<any>;
    closeEvent: EventEmitter<any>;
    onChange: EventEmitter<any>;
    displayName: string;
    enableAllNodes: boolean;
    searchKey: string;
    checkedKeys: any[];
    ngOnChanges(changes: SimpleChanges): void;
    constructor(cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    checkDefaultValue(checkedKeys: number[], items: Array<any>): void;
    handleCheck(dataItem: any): void;
    handleChildCheck(childItems: Array<any>, isSelected: boolean): void;
    enableAll(data: Array<any>): void;
    unCheckAll(items: Array<any>): void;
    getCheckedKeys(items: Array<any>, keys: number[]): number[];
    showClick(dataItem: any): void;
    private addExpandListItem;
}
