import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { MultiSelector } from '../models/selector/multi-selector-model';
export declare class SingleSelectorComponent implements OnInit {
    private elementRef;
    expandedKeys: any[];
    selectorOpened: boolean;
    disableSelector: boolean;
    selectedName: string;
    selectedId: number;
    displayName: string;
    searchKey: string;
    labelText: string;
    hoverText: string;
    isIncludeFloatLocation: boolean;
    enableAllNodes: boolean;
    selectableTypes: number[];
    selectorDisabled: boolean;
    dataHierarchy: MultiSelector;
    onChange: EventEmitter<Array<any>>;
    onData: EventEmitter<any>;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    private setDropDownState;
    onGlobalClick(event: Event): void;
    closeDropDown(): void;
    onItemSelected(data: any): void;
    private addExpandListItem;
    itemClick(): void;
}
